## llm aggregator-0.1.11

=== requirements.txt ===
aiohttp
apscheduler
extract2md
fastapi
httpx
psutil
pydantic
pydantic_settings
pyyaml
uvicorn[standard]

## llm 0.16

=== debian/changelog ===
llm (0.16-1) unstable; urgency=medium

  * rebuild for unstable, after crossing NEW
  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 15 Oct 2024 15:24:34 -0400

llm (0.14-1) experimental; urgency=medium

  * Initial release (Closes: #1065572)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 04 Jun 2024 12:32:24 -0400

=== debian/control ===
Source: llm
Section: contrib/science
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-click,
               python3-click-default-group,
               python3-httpx,
               python3-openai,
               python3-pip,
               python3-pkg-resources,
               python3-pluggy,
               python3-pydantic,
               python3-setuptools,
               python3-sqlite-migrate,
               python3-ulid,
               python3-yaml,
               sqlite-utils,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/simonw/llm
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/llm
Vcs-Git: https://salsa.debian.org/python-team/packages/llm.git

Package: llm
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
       , python3-typing-extensions (>= 4.7)
Description: CLI utility and Python library for interacting with Large Language Models
 A CLI utility and Python library for interacting with Large Language
 Models, both via remote APIs and models that can be installed and run
 on your own machine.
 .
 This allows users to interact with various language models. Its
 primary target is obviously the OpenAI API, but it also supports
 local models like Llama 2, Ollama, and MLC, and other online models
 like Claude, GEmini and Mistral.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=llm
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
# try also https://pypi.debian.net/llm/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/llm/llm-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## llm 0.17.1

=== debian/changelog ===
llm (0.17.1-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 05 Nov 2024 12:41:16 -0500

## llm 0.19.1

=== debian/changelog ===
llm (0.19.1-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 09 Dec 2024 09:10:37 -0500

llm (0.19-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 03 Dec 2024 10:33:02 -0500

llm (0.18-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 25 Nov 2024 11:04:20 -0500

## llm 0.20

=== debian/changelog ===
llm (0.20-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 27 Jan 2025 09:49:46 -0500

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python3-pip,
                python3-pkg-resources,
                python3-pluggy,
+               python3-puremagic,
                python3-pydantic,
                python3-setuptools,
                python3-sqlite-migrate,

## llm 0.21

=== debian/changelog ===
llm (0.21-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 04 Feb 2025 12:06:13 -0500

## llm 0.22

=== debian/changelog ===
llm (0.22-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 20 Feb 2025 14:09:46 -0500

## llm 0.23

=== debian/changelog ===
llm (0.23-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 03 Mar 2025 20:51:54 -0500

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Uploaders:
  Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-click,
                python3-click-default-group,
                python3-httpx,
                python3-openai,
                python3-pip,
-               python3-pkg-resources,
                python3-pluggy,
                python3-puremagic,
                python3-pydantic,

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=llm

%:
	dh $@ --buildsystem=pybuild

## llm 0.26

=== debian/changelog ===
llm (0.26-1) experimental; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 11 Jun 2025 13:27:58 -0400

## llm 0.27.1

=== debian/changelog ===
llm (0.27.1-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 18 Aug 2025 12:08:44 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
  Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-click,
                python3-click-default-group,
+               python3-condense-json,
                python3-httpx,
                python3-openai,
                python3-pip,

=== debian/watch ===
version=4
# try also https://pypi.debian.net/llm/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/llm/llm-([^a-z]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## llm 0.28

=== debian/changelog ===
llm (0.28-2) unstable; urgency=medium

  * move llm to main, llama.cpp and yt-dlp are there, so we belong too

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 18 Feb 2026 11:35:29 -0500

llm (0.28-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 05 Jan 2026 13:44:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: llm
-Section: contrib/science
+Section: science
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:

## llm explorer-0.0.4

=== Makefile ===
SHELL=/bin/bash
devops_state = main
working_dir = `pwd`
datadog_api_key = ""

install: install_python_dependencies

package_build:
	python -m build

package_list:
	unzip -l dist/*.whl  

set_env:
	source /astro/$(devops_state).env

setup_docker:
	sudo apt-get install ca-certificates curl gnupg lsb-release make \
	&& curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo gpg --dearmor -o /usr/share/keyrings/docker-archive-keyring.gpg \
	&& echo "deb [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/docker-archive-keyring.gpg] https://download.docker.com/linux/ubuntu $(lsb_release -cs) stable" | sudo tee /etc/apt/sources.list.d/docker.list > /dev/null \
	&& sudo apt-get update \
	&& sudo apt-get install docker-ce docker-ce-cli containerd.io docker-compose \

setup_superset:
	sudo apt-get install build-essential libssl-dev libffi-dev python3-dev python3-pip libsasl2-dev libldap2-dev default-libmysqlclient-dev -y \
	&& pip install apache-superset \
	&& superset db upgrade \
	&& export FLASK_APP=superset \
	&& superset fab create-admin \
	&& superset load_examples \
	&& superset init \
	&& superset run -p 8088 --with-threads --reload --debugger

setup_jupyter:
	sudo apt-get update && sudo apt-get install python3-pip python3-dev \
	&& sudo -H pip3 install --upgrade pip && sudo -H pip3 install virtualenv \
	&& cd environments && mkdir jupyter_server && cd jupyter_server \
	&& virtualenv jupyter_server_env && source jupyter_server_env/bin/activate \
	&& pip install jupyter

jupyter_service:
	source environments/jupyter_server/jupyter_server_env/bin/activate \
	&& nohup jupyter-notebook --no-browser --port=8888 &> /environments/jupyter_server/server_logs/jupyter_server.out & \
	
vscode_service:
	curl -fsSL https://code-server.dev/install.sh | sh \
	&& sudo nohup code-server --auth=none --bind-addr=127.0.0.1:8090 &> /environments/jupyter_server/server_logs/vscode_server.out &

datadog_setup:
	DD_AGENT_MAJOR_VERSION=7 DD_API_KEY=${datadog_api_key} DD_SITE="datadoghq.com" bash -c "$(curl -L https://s3.amazonaws.com/dd-agent/scripts/install_script.sh)"

setup_kind:
	curl -Lo ./kind https://kind.sigs.k8s.io/dl/v0.14.0/kind-linux-amd64 \
	&& chmod +x ./kind \
	&& sudo mv ./kind /usr/local/bin/kind

setup_miniconda:
	curl -Lo ./miniconda.sh https://repo.anaconda.com/miniconda/Miniconda3-latest-Linux-x86_64.sh \
	&& chmod +x ./miniconda.sh \

miniconda_create_llm_explorer:
	conda create  --yes -n llm_explorer python=3.10 \
	&& conda init bash

miniconda_create_adb_connect:
	conda create --name adb_connect python=3.8 \
	&& conda activate adb_connect

miniconda_configure_adb_connect:
	pip uninstall pyspark \
	&& pip install -U databricks-connect \


install_python_dependencies:
	pip install -r ./requirements.txt

setup_java:
	sudo apt-get install openjdk-8-jdk

java_correct_jdk:
	sudo update-alternatives --config java

setup_kubectl:
	curl -LO "https://dl.k8s.io/release/$(curl -L -s https://dl.k8s.io/release/stable.txt)/bin/linux/amd64/kubectl" \
	&& sudo install -o root -g root -m 0755 kubectl /usr/local/bin/kubectl

setup_airflow:
	curl -LfO 'https://airflow.apache.org/docs/apache-airflow/2.3.3/docker-compose.yaml'

airflow_start:
	cd airflow \
	&& sudo docker-compose up airflow-init -d \
	&& sudo docker-compose up -d

airflow_kill:
	cd /airflow \
	&& sudo docker compose down --volumes --rmi all   

docker_exec_root:
	docker exec -u root -it airflow-airflow-scheduler-1 bash

setup_helm:
	curl -fsSL -o get_helm.sh https://raw.githubusercontent.com/helm/helm/main/scripts/get-helm-3 \
	&& chmod 700 get_helm.sh \
	&& ./get_helm.sh

helm_repos:
	helm repo add datadog https://helm.datadoghq.com \
	&& helm repo add stable https://charts.helm.sh/stable \
	&& helm repo add airflow-stable https://airflow-helm.github.io/charts \
	&& helm repo update

setup_kompose:
	curl -L https://github.com/kubernetes/kompose/releases/download/v1.26.0/kompose-linux-amd64 -o kompose \
	&& chmod +x kompose \
	&& sudo mv ./kompose /usr/local/bin/kompose

kompose_convert:
	cd visualization \
	&& kompose convert

=== requirements.txt ===
streamlit
streamlit-chat
chromadb
pyautogui
databricks-sql-connector
watchdog
psycopg2-binary
py4j
pyspark
build
setuptools
twine
paramiko
pydeequ
databricks-feature-store
Flask
Werkzeug
pytest
responses
azure-storage-blob
chromadb
#snowflake-snowpark-python
#snowflake-connector-python
jupyter
aiohttp
aiosignal
altair
anyio
argilla
asn1crypto
astroid
async-timeout
attrs
autopep8
backoff
blinker
cachetools
cffi
charset-normalizer
click
commonmark
cryptography
cycler
dataclasses-json
decorator
Deprecated
docopt
docstring-to-markdown
entrypoints
et-xmlfile
faiss-cpu
filelock
flake8
fonttools
frozenlist
gitdb
GitPython
h11
httpcore
httpx
idna
importlib-metadata
importlib-resources
isort
Jinja2
joblib
jsonschema
kiwisolver
langchain
lxml
Markdown
markdown-it-py
MarkupSafe
marshmallow
marshmallow-enum
matplotlib
mccabe
mdurl
monotonic
msg-parser
multidict
mypy-extensions
nltk
numpy
olefile
openai
openapi-schema-pydantic
openpyxl
oscrypto
pandas
Pillow
protobuf
pyarrow
pycodestyle
pycparser
pycryptodomex
pydantic
pydeck
pydocstyle
pyflakes
Pygments
PyJWT
pylint
Pympler
pyOpenSSL
pypandoc
pyparsing
pyrsistent
python-dateutil
python-docx
python-dotenv
python-lsp-jsonrpc
python-lsp-server
python-magic
python-pptx
pytoolconfig
pytz
pytz-deprecation-shim
PyYAML
regex
requests
rfc3986
rich
rope
scikit-learn
scipy
six
smmap
sniffio
snowballstemmer
SQLAlchemy
sqlparse
tenacity
threadpoolctl
tiktoken
toml
tomlkit
toolz
tornado
tqdm
typing-inspect
typing_extensions
tzdata
tzlocal
ujson
unstructured
urllib3
validators
whatthepatch
wrapt
XlsxWriter
yapf
yarg
yarl
zipp
packaging
diffusers 
accelerate 
datasets 
torch 
soundfile 
sentencepiece 
opencv-python
sqlalchemy-databricks
transformers
#--extra-index-url https://github.com/huggingface/transformers@v4.29.0
huggingface_hub
streamlit-authenticator
tabulate

## llm multiprovider-0.1.31

=== requirements.txt ===
accelerate==1.3.0
aiodns==3.2.0
aiohappyeyeballs==2.4.4
aiohttp==3.11.11
aiohttp-retry==2.9.1
aiosignal==1.3.2
annotated-types==0.7.0
anyio==4.8.0
attrs==25.1.0
backoff==2.2.1
bcrypt==4.2.1
bitsandbytes==0.45.1
boto3==1.36.13
botocore==1.36.13
Brotli==1.1.0
build==1.2.2.post1
certifi==2025.1.31
cffi==1.17.1
charset-normalizer==3.4.1
click==8.1.8
colorama==0.4.6
coverage==7.6.10
cryptography==44.0.0
ctranslate2==4.5.0
distro==1.9.0
dnspython==2.7.0
docutils==0.21.2
email_validator==2.2.0
fastapi==0.115.8
fastapi-cli==0.0.7
filelock==3.17.0
frozenlist==1.5.0
fsspec==2025.2.0
h11==0.14.0
httpcore==1.0.7
httptools==0.6.4
httpx==0.28.1
huggingface-hub==0.28.1
id==1.5.0
idna==3.10
iniconfig==2.0.0
inquirerpy==0.3.4
itsdangerous==2.2.0
jaraco.classes==3.4.0
jaraco.context==6.0.1
jaraco.functools==4.1.0
jeepney==0.8.0
Jinja2==3.1.5
jiter==0.8.2
jmespath==1.0.1
joblib==1.4.2
keyring==25.6.0
markdown-it-py==3.0.0
MarkupSafe==3.0.2
mdurl==0.1.2
more-itertools==10.6.0
mpmath==1.3.0
multidict==6.1.0
networkx==3.4.2
nh3==0.2.20
nltk==3.9.1
numpy==2.2.2
nvidia-cublas-cu12==12.4.5.8
nvidia-cuda-cupti-cu12==12.4.127
nvidia-cuda-nvrtc-cu12==12.4.127
nvidia-cuda-runtime-cu12==12.4.127
nvidia-cudnn-cu12==9.1.0.70
nvidia-cufft-cu12==11.2.1.3
nvidia-curand-cu12==10.3.5.147
nvidia-cusolver-cu12==11.6.1.9
nvidia-cusparse-cu12==12.3.1.170
nvidia-cusparselt-cu12==0.6.2
nvidia-nccl-cu12==2.21.5
nvidia-nvjitlink-cu12==12.4.127
nvidia-nvtx-cu12==12.4.127
ollama==0.4.7
openai==1.61.0
orjson==3.10.15
packaging==24.2
paramiko==3.5.1
pfzy==0.3.4
pillow==11.1.0
pluggy==1.5.0
prettytable==3.14.0
prompt_toolkit==3.0.50
propcache==0.2.1
protobuf==5.29.3
psutil==6.1.1
py-cpuinfo==9.0.0
pycares==4.5.0
pycparser==2.22
pydantic==2.10.6
pydantic-extra-types==2.10.2
pydantic-settings==2.7.1
pydantic_core==2.27.2
Pygments==2.19.1
PyNaCl==1.5.0
pyproject_hooks==1.2.0
pytest==8.3.4
pytest-asyncio==0.25.3
pytest-cov==6.0.0
python-dateutil==2.9.0.post0
python-dotenv==1.0.1
python-multipart==0.0.20
PyYAML==6.0.2
readme_renderer==44.0
regex==2024.11.6
requests==2.32.3
requests-toolbelt==1.0.0
rfc3986==2.0.0
rich==13.9.4
rich-toolkit==0.13.2
runpod==1.7.7
s3transfer==0.11.2
safetensors==0.5.2
scikit-learn==1.6.1
scipy==1.15.1
SecretStorage==3.3.3
sentence-transformers==3.4.1
sentencepiece==0.2.0
setuptools==75.8.0
shellingham==1.5.4
six==1.17.0
sniffio==1.3.1
starlette==0.45.3
sympy==1.13.1
threadpoolctl==3.5.0
tiktoken==0.8.0
tokenizers==0.21.0
tomli==2.2.1
tomlkit==0.13.2
torch==2.6.0
tqdm==4.67.1
tqdm-loggable==0.2
transformers==4.48.2
triton==3.2.0
twine==6.1.0
typer==0.15.1
typing_extensions==4.12.2
ujson==5.10.0
urllib3==2.3.0
uvicorn==0.34.0
uvloop==0.21.0
watchdog==6.0.0
watchfiles==1.0.4
wcwidth==0.2.13
websockets==14.2
wheel==0.45.1
yarl==1.18.3

## llm obfuscator-0.1.0

=== requirements.txt ===
transformers>=4.30.0
tiktoken>=0.5.0
pytest>=7.0.0
numpy>=1.20.0

## llm rs-0.2.15

=== build_scripts/requirements.txt ===
toml
delvewheel==1.3.8

=== docs/requirements.txt ===
mkdocs-material
pillow
cairosvg

## llm sandbox-0.3.4

=== Makefile ===
.PHONY: install
install: ## Install the virtual environment and install the pre-commit hooks
	@echo "🚀 Creating virtual environment using uv"
	@uv sync
	@uv run pre-commit install

.PHONY: check
check: ## Run code quality tools.
	@echo "🚀 Checking lock file consistency with 'pyproject.toml'"
	@uv lock --locked
	@echo "🚀 Linting code: Running pre-commit"
	@uv run pre-commit run -a
	@echo "🚀 Static type checking: Running mypy"
	@uv run mypy
	@echo "🚀 Checking for obsolete dependencies: Running deptry"
	@uv run deptry .

.PHONY: test
test: ## Test the code with pytest
	@echo "🚀 Testing code: Running pytest"
	@uv run python -m pytest --cov --cov-config=pyproject.toml --cov-report=xml --cov-report=term --cov-report=html

.PHONY: build
build: clean-build ## Build wheel file
	@echo "🚀 Creating wheel file"
	@uvx --from build pyproject-build --installer uv

.PHONY: clean-build
clean-build: ## Clean build artifacts
	@echo "🚀 Removing build artifacts"
	@uv run python -c "import shutil; import os; shutil.rmtree('dist') if os.path.exists('dist') else None"

.PHONY: publish
publish: ## Publish a release to PyPI.
	@echo "🚀 Publishing."
	@uvx twine upload --repository-url https://upload.pypi.org/legacy/ dist/*

.PHONY: build-and-publish
build-and-publish: build publish ## Build and publish.

.PHONY: docs-test
docs-test: ## Test if documentation can be built without warnings or errors
	@uv run mkdocs build -s

.PHONY: docs
docs: ## Build and serve the documentation
	@uv run mkdocs serve

.PHONY: help
help:
	@uv run python -c "import re; \
	[[print(f'\033[36m{m[0]:<20}\033[0m {m[1]}') for m in re.findall(r'^([a-zA-Z_-]+):.*?## (.*)$$', open(makefile).read(), re.M)] for makefile in ('$(MAKEFILE_LIST)').strip().split()]"

.DEFAULT_GOAL := help

## llm term-0.7.1

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile
#
aiohttp==3.8.5
    # via openai
aiosignal==1.3.1
    # via aiohttp
async-timeout==4.0.3
    # via aiohttp
attrs==23.1.0
    # via aiohttp
certifi==2023.7.22
    # via requests
charset-normalizer==3.2.0
    # via
    #   aiohttp
    #   requests
click==8.1.7
    # via llm-term (pyproject.toml)
frozenlist==1.4.0
    # via
    #   aiohttp
    #   aiosignal
idna==3.4
    # via
    #   requests
    #   yarl
markdown-it-py==3.0.0
    # via rich
mdurl==0.1.2
    # via markdown-it-py
multidict==6.0.4
    # via
    #   aiohttp
    #   yarl
openai==0.28.0
    # via llm-term (pyproject.toml)
prompt-toolkit==3.0.39
    # via llm-term (pyproject.toml)
pygments==2.16.1
    # via rich
requests==2.31.0
    # via openai
rich==13.5.2
    # via llm-term (pyproject.toml)
tqdm==4.66.1
    # via openai
urllib3==2.0.4
    # via requests
wcwidth==0.2.6
    # via prompt-toolkit
yarl==1.9.2
    # via aiohttp
